package com.manage.dao;

import com.manage.entity.T_Menu;
import org.springframework.stereotype.Repository;

/**
 * @Author:hjl
 * @Date:Creatid in 16:25 2019/4/7
 * @Description:
 * @Repository
 */
/*@Repository*/
public class T_MenuMapperImpl implements T_MenuMapper {

    @Override
    public int deleteByPrimaryKey(Integer menuId) {
        return this.deleteByPrimaryKey(menuId);
    }

    @Override
    public int insert(T_Menu record) {
        return this.insert(record);
    }

    @Override
    public int insertSelective(T_Menu record) {
        return this.insertSelective(record);
    }

    @Override
    public T_Menu selectByPrimaryKey(Integer menuId) {
        return this.selectByPrimaryKey(menuId);
    }

    @Override
    public int updateByPrimaryKeySelective(T_Menu record) {
        return this.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(T_Menu record) {
        return 0;
    }
}
